## ros-melodic-cloudwatch-logger 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cloudwatch_logger)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Enable strict compiler flags if possible.
include(CheckCXXCompilerFlag)
# Removed -Wmissing-declarations until gmock is ignored
# removed -Werror=pedantic until ros.h is fixed
set(FLAGS -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings)
foreach(FLAG ${FLAGS})
  check_cxx_compiler_flag(${FLAG} R${FLAG})
  if(${R${FLAG}})
    set(WARNING_CXX_FLAGS "${WARNING_CXX_FLAGS} ${FLAG}")
  endif()
endforeach()

if(NOT DEFINED CXX_DISABLE_WERROR)
  set(WARNING_CXX_FLAGS "-Werror ${WARNING_CXX_FLAGS}")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_CXX_FLAGS}")

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 11)

find_package(dataflow_lite REQUIRED)
find_package(file_management REQUIRED)
find_package(cloudwatch_logs_common REQUIRED)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
    cloudwatch_logs_common
    roscpp
    aws_common
    aws_ros1_common
    rosgraph_msgs
    std_srvs
    std_msgs)

###################################
## catkin specific configuration ##
###################################

catkin_package()

###########
## Build ##
###########

## Declare a C++ executable
add_library(${PROJECT_NAME}_lib SHARED src/log_node.cpp src/log_node_param_helper.cpp)

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${dataflow_lite_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${cloudwatch_logs_common_LIBRARIES})

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${file_management_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${file_management_LIBRARIES})

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${cloudwatch_logs_common_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${cloudwatch_logs_common_LIBRARIES})

add_executable(${PROJECT_NAME} src/main.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE include ${catkin_INCLUDE_DIRS} ${cloudwatch_logs_common_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_lib ${cloudwatch_logs_common_LIBRARIES})

#############
## Install ##
#############
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
        
install(TARGETS ${PROJECT_NAME}_lib
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY config launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(GMock QUIET)
  if(GMOCK_FOUND)
    add_rostest_gmock(test_log_node
      test/test_log_node.test
      test/log_node_test.cpp
    )
    target_include_directories(test_log_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_logger_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(test_log_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )

    add_rostest_gmock(test_log_node_param_helper
      test/test_log_node_param_helper.test
      test/log_node_param_helper_test.cpp
    )
    target_include_directories(test_log_node_param_helper PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_logger_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(test_log_node_param_helper
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )
  else()
    include_directories(/usr/include/gmock /usr/src/gmock)
    add_library(${PROJECT_NAME}_libgmock SHARED /usr/src/gmock/src/gmock-all.cc)

    add_rostest_gtest(test_log_node
      test/test_log_node.test
      test/log_node_test.cpp
    )
    target_include_directories(test_log_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_logger_INCLUDE_DIRS}
    )
    target_link_libraries(test_log_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )

    add_rostest_gtest(test_log_node_param_helper
      test/test_log_node_param_helper.test
      test/log_node_param_helper_test.cpp
    )
    target_include_directories(test_log_node_param_helper PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_logger_INCLUDE_DIRS}
    )
    target_link_libraries(test_log_node_param_helper
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )
  endif()
endif()

=== debian/changelog ===
ros-melodic-cloudwatch-logger (2.3.1-1stretch) stretch; urgency=high

  * Fix linting issues found by clang-tidy 6.0 (#56 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/56>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
  * Add option to not publish topic names to Cloudwatch Logs (#58 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/58>)
    * add option to not publish topic names to cloudwatch logs
    * fix unit test failure
    * add unit tests, improve code coverage
    * update documentation
    * address PR comments
    * make the deprecated constructor use constructor delegation
  * Merge pull request #51 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/51> from aws-robotics/restore-tests
    Restored unit tests
  * Restored unit tests
  * Increment version (#48 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/48>)
    * increment version for binary packaging fix
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * cleanup README
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Merge pull request #49 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/49> from aws-robotics/remove-debug-flag
    Minor updates for offline feature release
  * 
    
      * remove debug flag (run with level info)
      * minor README changes
    
  * install missing library (#47 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/47>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * increment version for offline logs feature (#46 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/46>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Fixing std_msgs, std_srvs dependency resolution (#44 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/44>)
    * Add build_depend on std_srvs, std_msgs
    * Add std_msgs to CMakeLists.txt
  * Find std_srvs in CMakeLists.txt
  * Offline Logs (#42 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/42>)
    * Working branch with offline feature
    cr https://code.amazon.com/reviews/CR-9548516
    * Addressed review comments
    * ROS-1775: Adapt Interfaces to CW Metrics
    cr https://code.amazon.com/reviews/CR-9600347
    * ROS-2223: Add ROS Service Method to LogNode
    cr https://code.amazon.com/reviews/CR-10013824
    * Read in parameters for UploaderOptions and FileManagerOptions
    - Read in the parameters for the UploadOptions struct and the
    FileManagerOptions struct so that we can create the CloudWatchOptions
    struct from them and initialize CloudWatchLogs with it.
    cr https://code.amazon.com/reviews/CR-10144869
    * Add sample configuration options, fix bugs
    - Add sample config options to the sample_configuration.yaml file
    - Fix bugs and finish off config feature
    * Add descriptions for config options
    * Don't publish on a timer when trigger_publish_size is set.
    - When the user has specifid a batch_trigger_publish_size, don't set a
    timer to publish logs, only publish when that size limit has been hit.
    * Fixing bugs, adding docs to parameter reader
    - Fix parameter reader to give a warning if a uploader option is missing
    instead of an error.
    - Add documentation for param reader functions
    - Re-order config file options to be alphabetical, set the defaults to
    the same as the app defaults.
    - Fix output flag not working when running sample_application.launch
    cr https://code.amazon.com/reviews/CR-10331731
    * ROS-2330: [Bug] CW Logs ROS1 Timer incorrectly created
    cr https://code.amazon.com/reviews/CR-10541864
    * Move parameters to README, remove unused parameters
    - Move most of the parameters out of the sample_configuration file and
    into the README instead.
    - Make function return codes void if the return value is always OK.
    - Clean up parameter reading
    * Improve README
    * Fix un-renamed function
    * Add stream_max_queue_size parameter
    - Add reading this parameter from config file and describing it in the
    advanced parameters section of the README.
    cr https://code.amazon.com/reviews/CR-10582850
    *  - support service changes
    - fix variable names
    - update build flags
  * Use standard CMake macros for adding gtest/gmock tests (#37 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/37>)
    * modify cloudwatch_logger to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update package.xml for 2.1.0 release
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
  * Adds a new parameter for a list of node names to ignore logs from. (#24 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/24>)
    * Adds a new parameter for a list of node names to ignore logs from.
  * Removing old file that has already been refactored out into separate files.
  * Contributors: AAlon, Devin Bonnie, M. M, Miaofei Mei, Nick Burek, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 27 Mar 2020 00:00:00 -0000

ros-melodic-cloudwatch-logger (2.0.0-1stretch) stretch; urgency=high

  * Add unit tests for cloudwatch_logger node
    - Split log_client.cpp into log_node_param_helper.cpp for
    fetching parameters, and main.cpp for the entry point
    - Setup a static library {PROJECT_NAME}_lib for accessing
    production code from the tests
    - Add tests test_log_node and test_log_node_param_helper,
    resulting in the following overall coverage rate:
    ```
    lines......: 95.5% (362 of 379 lines)
    functions..: 91.1% (92 of 101 functions)
    branches...: 34.9% (626 of 1795 branches)
    ```
    - Also correct typo in README documenting parameter name
    min_log_severity instead of min_log_verbosity
  * Update to use non-legacy ParameterReader API (#13 <https://github.com/aws-robotics/cloudwatchlogs-ros1/issues/13>)


=== debian/control ===
Source: ros-melodic-cloudwatch-logger
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-catkin, ros-melodic-cloudwatch-logs-common, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://wiki.ros.org/cloudwatch_logger
Standards-Version: 3.9.2

Package: ros-melodic-cloudwatch-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-cloudwatch-logs-common, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: CloudWatch Logger node for publishing logs to AWS CloudWatch Logs
